# Project: Project1
# Makefile created by Dev-C++ 4.9.9.0

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = SCRIPT~1_private.res
OBJ  = kernel/kernel.o kernel/video.o kernel/keyboard.o kernel/interrupt.o kernel/cmd.o kernel/system.o kernel/stdio.o kernel/floppy.o "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/fat12.o" "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/mem.o" "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/panic.o" "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/task.o" $(RES)
LINKOBJ  = kernel/kernel.o kernel/video.o kernel/keyboard.o kernel/interrupt.o kernel/cmd.o kernel/system.o kernel/stdio.o kernel/floppy.o "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/fat12.o" "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/mem.o" "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/panic.o" "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/task.o" $(RES)
LIBS =  -L"C:/progra~1/Dev-Cpp/lib"  -mmmx 
INCS =  -I"C:/progra~1/Dev-Cpp/include" 
CXXINCS =  -I"C:/progra~1/Dev-Cpp/include/c++/3.3.1"  -I"C:/progra~1/Dev-Cpp/include/c++/3.3.1/mingw32"  -I"C:/progra~1/Dev-Cpp/include/c++/3.3.1/backward"  -I"C:/progra~1/Dev-Cpp/lib/gcc-lib/mingw32/3.3.1/include"  -I"C:/progra~1/Dev-Cpp/include" 
BIN  = SCRIPT~1.exe
CXXFLAGS = $(CXXINCS)   -fexpensive-optimizations -O3 -mmmx
CFLAGS = $(INCS) -c -Wall -fverbose-asm -march=i486 -fno-builtin -nostdlib -nostdinc -mno-stack-arg-probe   -fexpensive-optimizations -O3 -mmmx

.PHONY: all all-before all-after clean clean-custom

all: all-before SCRIPT~1.exe all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "SCRIPT~1.exe" $(LIBS)

kernel/kernel.o: kernel/kernel.c
	$(CPP) -c kernel/kernel.c -o kernel/kernel.o $(CXXFLAGS)

kernel/video.o: kernel/video.c
	$(CPP) -c kernel/video.c -o kernel/video.o $(CXXFLAGS)

kernel/keyboard.o: kernel/keyboard.c
	$(CPP) -c kernel/keyboard.c -o kernel/keyboard.o $(CXXFLAGS)

kernel/interrupt.o: kernel/interrupt.c
	$(CPP) -c kernel/interrupt.c -o kernel/interrupt.o $(CXXFLAGS)

kernel/cmd.o: kernel/cmd.c
	$(CPP) -c kernel/cmd.c -o kernel/cmd.o $(CXXFLAGS)

kernel/system.o: kernel/system.s
	$(CPP) -c kernel/system.s -o kernel/system.o $(CXXFLAGS)

kernel/stdio.o: kernel/stdio.c
	$(CPP) -c kernel/stdio.c -o kernel/stdio.o $(CXXFLAGS)

kernel/floppy.o: kernel/floppy.c
	$(CPP) -c kernel/floppy.c -o kernel/floppy.o $(CXXFLAGS)

"../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/fat12.o": ../../../../../Documents\ and\ Settings/Administrator/Desktop/Script-OS/current/kernel/fat12.c
	$(CPP) -c "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/fat12.c" -o "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/fat12.o" $(CXXFLAGS)

"../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/mem.o": ../../../../../Documents\ and\ Settings/Administrator/Desktop/Script-OS/current/kernel/mem.c
	$(CPP) -c "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/mem.c" -o "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/mem.o" $(CXXFLAGS)

"../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/panic.o": ../../../../../Documents\ and\ Settings/Administrator/Desktop/Script-OS/current/kernel/panic.c
	$(CPP) -c "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/panic.c" -o "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/panic.o" $(CXXFLAGS)

"../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/task.o": ../../../../../Documents\ and\ Settings/Administrator/Desktop/Script-OS/current/kernel/task.c
	$(CPP) -c "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/task.c" -o "../../../../../Documents and Settings/Administrator/Desktop/Script-OS/current/kernel/task.o" $(CXXFLAGS)

SCRIPT~1_private.res: SCRIPT~1_private.rc 
	$(WINDRES) -i SCRIPT~1_private.rc -I rc -o SCRIPT~1_private.res -O coff 
